Debian Bug report logs - #601946
Freeze exception for acpidump 20100513-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Mattia Dongili <malattia@debian.org>

Date: Sun, 31 Oct 2010 09:51:01 UTC

Severity: normal

Tags: moreinfo

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Sun, 31 Oct 2010 09:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Oct 2010 09:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: bugs@debian.org
Subject: Freeze exception for acpidump 20100513-2
Date: Sun, 31 Oct 2010 18:46:38 +0900
[Message part 1 (text/plain, inline)]
Package: release.debian.org

Hi Release Managers,
Actually I have to blame myself for not checking the status of acpidump
build logs.
Anyway, long story short, I fixed a FTBFS on ia64 that prevented
acpidump_20100513 to migrate to squeeze since April and the version
currently in the next release is quite out of date.

It would be nice to have a 20100513 go in the next stable release. It
sat in unstable for months without major bugs filed and having a
reasonably recent acpidump in squeze would at least provide support for
the latest acpi spec.
Feel free to bump the urgency as well if you deem it necessary.

Thanks
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Sun, 31 Oct 2010 11:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 31 Oct 2010 11:30:06 GMT) Full text and rfc822 format available.

Message #10 received at 601946@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: 601946@bugs.debian.org
Cc: Debian Release Mailing List <debian-release@lists.debian.org>
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Sun, 31 Oct 2010 20:27:06 +0900
On Sun, Oct 31, 2010 at 06:46:38PM +0900, Mattia Dongili wrote:
> Package: release.debian.org
> 
> Hi Release Managers,
> Actually I have to blame myself for not checking the status of acpidump
> build logs.
> Anyway, long story short, I fixed a FTBFS on ia64 that prevented
> acpidump_20100513 to migrate to squeeze since April and the version
> currently in the next release is quite out of date.
> 
> It would be nice to have a 20100513 go in the next stable release. It
> sat in unstable for months without major bugs filed and having a
> reasonably recent acpidump in squeze would at least provide support for
> the latest acpi spec.
> Feel free to bump the urgency as well if you deem it necessary.

I forgot to attach a diff from the previous package revision:

diff --git a/debian/acpidump.links b/debian/acpidump.links
deleted file mode 100644
index efb1d36..0000000
--- a/debian/acpidump.links
+++ /dev/null
@@ -1,3 +0,0 @@
-usr/share/man/man1/acpidump.1.gz usr/share/man/man1/acpixtract.1.gz
-usr/share/man/man1/acpidump.1.gz usr/share/man/man1/madt.1.gz
-usr/share/man/man1/acpidump.1.gz usr/share/man/man1/turbostat.1.gz
diff --git a/debian/changelog b/debian/changelog
index a4a0c46..0ff7221 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+acpidump (20100513-2) unstable; urgency=low
+
+  * Do not build turbostat on ia64 (Closes: #599950)
+
+ -- Mattia Dongili <malattia@debian.org>  Sun, 31 Oct 2010 11:20:03 +0900
+
 acpidump (20100513-1) unstable; urgency=low
 
   * New upstream version
diff --git a/debian/rules b/debian/rules
index 78c3908..4e2d8b6 100755
--- a/debian/rules
+++ b/debian/rules
@@ -17,6 +17,15 @@ else
 	CFLAGS += -O2
 endif
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifeq ($(DEB_HOST_ARCH),ia64)
+	BINARIES = acpixtract acpidump madt
+	MANPAGES = acpixtract madt
+else
+	BINARIES = acpixtract acpidump turbostat madt
+	MANPAGES = acpixtract turbostat madt
+endif
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -29,10 +38,9 @@ build: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
-
-	# Add here commands to compile the package.
-	CFLAGS="$(CFLAGS)" $(MAKE)
-	CFLAGS="$(CFLAGS)" $(MAKE) -C madt
+	# since turbostat cannot be built on ia64 just build what we
+	# actually need rather than invoking the top level Makefile
+	for i in $(BINARIES); do CFLAGS="$(CFLAGS)" $(MAKE) -C $$i; done
 
 	touch build-stamp
 
@@ -55,7 +63,10 @@ install: build
 
 	# Add here commands to install the package into debian/acpidump.
 	install -d $(CURDIR)/debian/acpidump/usr/bin
-	install -m 755 acpidump/acpidump madt/madt turbostat/turbostat acpixtract/acpixtract \
+	install -m 755 acpidump/acpidump madt/madt acpixtract/acpixtract \
+		$(CURDIR)/debian/acpidump/usr/bin
+	[ ! -f turbostat/turbostat ] || \
+		install -m 755 turbostat/turbostat \
 		$(CURDIR)/debian/acpidump/usr/bin
 	install -d $(CURDIR)/debian/acpidump/usr/share/man/man1
 	gzip -9 < $(CURDIR)/debian/acpidump.1 \
@@ -73,7 +84,10 @@ binary-arch: build install
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installman
-	dh_link
+	for i in $(MANPAGES); do \
+		dh_link usr/share/man/man1/acpidump.1.gz \
+			usr/share/man/man1/$$i.1.gz ; \
+	done
 	dh_strip
 	dh_compress
 	dh_fixperms

-- 
mattia
:wq!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Mon, 01 Nov 2010 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 01 Nov 2010 17:54:05 GMT) Full text and rfc822 format available.

Message #15 received at 601946@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mattia Dongili <malattia@debian.org>
Cc: 601946@bugs.debian.org, Debian Release Mailing List <debian-release@lists.debian.org>
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Mon, 1 Nov 2010 18:51:05 +0100
[Message part 1 (text/plain, inline)]
On Sun, Oct 31, 2010 at 20:27:06 +0900, Mattia Dongili wrote:

> +ifeq ($(DEB_HOST_ARCH),ia64)
> +	BINARIES = acpixtract acpidump madt
> +	MANPAGES = acpixtract madt
> +else
> +	BINARIES = acpixtract acpidump turbostat madt
> +	MANPAGES = acpixtract turbostat madt
> +endif
> +
Looks like there's no Makefile in the madt directory, so madt gets built
using default make rules, which results in:

cc -o madt madt.c
In file included from madt.c:29:
./tables.c: In function 'acpi_table_print':
./tables.c:112: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c: In function 'acpi_table_print_madt_entry':
./tables.c:133: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:142: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:151: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:167: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:177: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:188: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:197: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:206: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:215: warning: incompatible implicit declaration of built-in function 'printf'
./tables.c:223: warning: incompatible implicit declaration of built-in function 'printf'

That doesn't look too good.

madt was also removed from upstream's toplevel makefile since the
current squeeze version.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 02 Nov 2010 14:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Wed, 10 Nov 2010 04:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 10 Nov 2010 04:00:03 GMT) Full text and rfc822 format available.

Message #22 received at 601946@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 601946@bugs.debian.org, Debian Release Mailing List <debian-release@lists.debian.org>
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Wed, 10 Nov 2010 12:57:54 +0900
[Message part 1 (text/plain, inline)]
On Mon, Nov 01, 2010 at 06:51:05PM +0100, Julien Cristau wrote:
> On Sun, Oct 31, 2010 at 20:27:06 +0900, Mattia Dongili wrote:
> 
> > +ifeq ($(DEB_HOST_ARCH),ia64)
> > +	BINARIES = acpixtract acpidump madt
> > +	MANPAGES = acpixtract madt
> > +else
> > +	BINARIES = acpixtract acpidump turbostat madt
> > +	MANPAGES = acpixtract turbostat madt
> > +endif
> > +
> Looks like there's no Makefile in the madt directory, so madt gets built
> using default make rules, which results in:
> 
> cc -o madt madt.c
> In file included from madt.c:29:
> ./tables.c: In function 'acpi_table_print':
> ./tables.c:112: warning: incompatible implicit declaration of built-in function 'printf'
> ./tables.c: In function 'acpi_table_print_madt_entry':
...
> ./tables.c:223: warning: incompatible implicit declaration of built-in function 'printf'
> 
> That doesn't look too good.
> 
> madt was also removed from upstream's toplevel makefile since the
> current squeeze version.

I can also remove that, I doubt anyone ever used it, ever. I can remove
that too (for all architectures) but it's even more changes to the
package, would you let it go to squeeze?

Thanks
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Thu, 11 Nov 2010 15:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 11 Nov 2010 15:48:06 GMT) Full text and rfc822 format available.

Message #27 received at 601946@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mattia Dongili <malattia@debian.org>
Cc: 601946@bugs.debian.org, Debian Release Mailing List <debian-release@lists.debian.org>
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Thu, 11 Nov 2010 16:44:25 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 10, 2010 at 12:57:54 +0900, Mattia Dongili wrote:

> > madt was also removed from upstream's toplevel makefile since the
> > current squeeze version.
> 
> I can also remove that, I doubt anyone ever used it, ever. I can remove
> that too (for all architectures) but it's even more changes to the
> package, would you let it go to squeeze?
> 
Yes.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Sun, 14 Nov 2010 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 14 Nov 2010 06:27:03 GMT) Full text and rfc822 format available.

Message #32 received at 601946@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 601946@bugs.debian.org, Debian Release Mailing List <debian-release@lists.debian.org>
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Sun, 14 Nov 2010 15:22:30 +0900
[Message part 1 (text/plain, inline)]
retitle 601946 Freeze exception for acpidump 20100513-3
thanks

On Thu, Nov 11, 2010 at 04:44:25PM +0100, Julien Cristau wrote:
> On Wed, Nov 10, 2010 at 12:57:54 +0900, Mattia Dongili wrote:
> 
> > > madt was also removed from upstream's toplevel makefile since the
> > > current squeeze version.
> > 
> > I can also remove that, I doubt anyone ever used it, ever. I can remove
> > that too (for all architectures) but it's even more changes to the
> > package, would you let it go to squeeze?
> > 
> Yes.

Just re-uploaded without madt, the -3 revision is already built.

Thanks!
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'Freeze exception for acpidump 20100513-3' from 'Freeze exception for acpidump 20100513-2' Request was from Mattia Dongili <malattia@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 06:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#601946; Package release.debian.org. (Sun, 14 Nov 2010 11:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Dongili <malattia@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 14 Nov 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 601946@bugs.debian.org (full text, mbox):

From: Mattia Dongili <malattia@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 601946@bugs.debian.org, Debian Release Mailing List <debian-release@lists.debian.org>
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Sun, 14 Nov 2010 20:47:21 +0900
[Message part 1 (text/plain, inline)]
On Sun, Nov 14, 2010 at 03:22:30PM +0900, Mattia Dongili wrote:
> retitle 601946 Freeze exception for acpidump 20100513-3
> thanks
> 
> On Thu, Nov 11, 2010 at 04:44:25PM +0100, Julien Cristau wrote:
> > On Wed, Nov 10, 2010 at 12:57:54 +0900, Mattia Dongili wrote:
> > 
> > > > madt was also removed from upstream's toplevel makefile since the
> > > > current squeeze version.
> > > 
> > > I can also remove that, I doubt anyone ever used it, ever. I can remove
> > > that too (for all architectures) but it's even more changes to the
> > > package, would you let it go to squeeze?
> > > 
> > Yes.
> 
> Just re-uploaded without madt, the -3 revision is already built.

And I forgot to attach the diff again...

 debian/acpidump.1 |   23 ++---------------------
 debian/changelog  |    8 ++++++++
 debian/control    |    2 +-
 debian/rules      |   11 +++++------
 4 files changed, 16 insertions(+), 28 deletions(-)

diff --git a/debian/acpidump.1 b/debian/acpidump.1
index eb3f123..79c94ec 100644
--- a/debian/acpidump.1
+++ b/debian/acpidump.1
@@ -20,8 +20,6 @@ acpidump \- dump a system's ACPI tables to an ASCII file
 .br
 acpixtract \- convert ASCII acpidump output to raw binary table
 .br
-madt \- parser for APIC table
-.br
 turbostat \- gather performance statistics
 
 .SH SYNOPSIS
@@ -37,25 +35,15 @@ turbostat \- gather performance statistics
 .RI [ command
 .RI [ arg ] ... ]
 .br
-.B madt
-.br
 
 .SH DESCRIPTION
 This manual page documents briefly the
 .B acpidump
 ,
 .B acpixtract
-,
-.B turbostat
 and
-.B madt
+.B turbostat
 commands.
-.B acpidump
-and
-.B acpixtract
-options are described below while
-.B madt
-can only read an APIC table from standard input.
 
 .B turbostat
 reads hardware registers and gather statistics on the processor clock
@@ -86,11 +74,6 @@ skip 2 tables of the given name and output only 3rd one
 .TP
 .B \-h, \-\-help
 outputs an help message
-.TP
-acpixtract only option is:
-.TP
-.B \-n instance_number
-prints Nth instance of target table, default is 1
 
 .SH OPTIONS
 acpixtract options are as follow:
@@ -120,7 +103,7 @@ turbostat runs it and outputs statistics gathered while the program was running.
 .SH EXAMPLES
 .LP
 Dump the DSDT table to the file DSDT.aml in binary format (this can be
-disassembled later with iasl(1):
+disassembled later with iasl(1)):
 .RS 8
 acpidump \-b \-t DSDT \-o DSDT.aml
 .RE
@@ -147,8 +130,6 @@ Parse APIC tables:
 acpidump \-o DSDT.dat
 .br
 acpixtract \-sAPIC DSDT.dat
-.br
-madt < APIC.dat
 .RE
 
 .SH SEE ALSO
diff --git a/debian/changelog b/debian/changelog
index 0ff7221..297e265 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+acpidump (20100513-3) unstable; urgency=low
+
+  * Do not build madt as it was dropped upstream.
+  * Remove all references to madt in the manpage and fix a couple of
+    inconsistencies.
+
+ -- Mattia Dongili <malattia@debian.org>  Sat, 13 Nov 2010 12:08:47 +0900
+
 acpidump (20100513-2) unstable; urgency=low
 
   * Do not build turbostat on ia64 (Closes: #599950)
diff --git a/debian/control b/debian/control
index d0a5d09..d6489a2 100644
--- a/debian/control
+++ b/debian/control
@@ -13,6 +13,6 @@ Description: utilities to dump system's ACPI tables to an ASCII file
  tables:
   * acpidump: to dump tables
   * acpixtract: to convert ASCII acpidump output to raw binary
-  * madt: to parse APIC tables as the Linux kernel does
+  * turbostat: to gather performance statistics (x86 only)
  .
  Note: Upstream package is called pmtools.
diff --git a/debian/rules b/debian/rules
index 4e2d8b6..7b8aff7 100755
--- a/debian/rules
+++ b/debian/rules
@@ -19,11 +19,11 @@ endif
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_HOST_ARCH),ia64)
-	BINARIES = acpixtract acpidump madt
-	MANPAGES = acpixtract madt
+	BINARIES = acpixtract acpidump
+	MANPAGES = acpixtract
 else
-	BINARIES = acpixtract acpidump turbostat madt
-	MANPAGES = acpixtract turbostat madt
+	BINARIES = acpixtract acpidump turbostat
+	MANPAGES = acpixtract turbostat
 endif
 
 configure: configure-stamp
@@ -51,7 +51,6 @@ clean:
 
 	# Add here commands to clean up after the build process.
 	$(MAKE) clean
-	[ ! -f madt/madt ] || $(MAKE) -C madt clean
 
 	dh_clean 
 
@@ -63,7 +62,7 @@ install: build
 
 	# Add here commands to install the package into debian/acpidump.
 	install -d $(CURDIR)/debian/acpidump/usr/bin
-	install -m 755 acpidump/acpidump madt/madt acpixtract/acpixtract \
+	install -m 755 acpidump/acpidump acpixtract/acpixtract \
 		$(CURDIR)/debian/acpidump/usr/bin
 	[ ! -f turbostat/turbostat ] || \
 		install -m 755 turbostat/turbostat \
-- 
mattia
:wq!
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 14 Nov 2010 20:39:14 GMT) Full text and rfc822 format available.

Notification sent to Mattia Dongili <malattia@debian.org>:
Bug acknowledged by developer. (Sun, 14 Nov 2010 20:39:14 GMT) Full text and rfc822 format available.

Message #44 received at 601946-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mattia Dongili <malattia@debian.org>
Cc: 601946-done@bugs.debian.org
Subject: Re: Bug#601946: Freeze exception for acpidump 20100513-2
Date: Sun, 14 Nov 2010 21:37:23 +0100
[Message part 1 (text/plain, inline)]
On Sun, Nov 14, 2010 at 15:22:30 +0900, Mattia Dongili wrote:

> Just re-uploaded without madt, the -3 revision is already built.
> 
Unblocked.  Please make sure to notice 6 months old ftbfs before the
freeze next time though ;)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Dec 2010 07:34:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:42:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.